summaryrefslogtreecommitdiff
path: root/helpers/lh_chroot_local-includes
diff options
context:
space:
mode:
Diffstat (limited to 'helpers/lh_chroot_local-includes')
-rwxr-xr-xhelpers/lh_chroot_local-includes58
1 files changed, 58 insertions, 0 deletions
diff --git a/helpers/lh_chroot_local-includes b/helpers/lh_chroot_local-includes
new file mode 100755
index 0000000..0d94703
--- /dev/null
+++ b/helpers/lh_chroot_local-includes
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# lh_chroot_local-includes(1) - copy local files into chroot
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Source common functions
+for FUNCTION in /usr/share/live-helper/functions/*.sh
+do
+ . ${FUNCTION}
+done
+
+# Set static variables
+DESCRIPTION="copy local files into chroot"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+Echo_debug "Init ${PROGRAM}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+Breakpoint "chroot_local-includes: Init"
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/chroot_local-includes
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+if ls config/chroot_local-includes/* &> /dev/null
+then
+ # Copying includes
+ cd config/chroot_local-includes
+ find . | cpio -dmpu "${OLDPWD}"/chroot
+ cd "${OLDPWD}"
+
+ # Creating stage file
+ Create_stagefile .stage/chroot_local-includes
+fi